Rewards status
curl --request GET \
--url https://api.marzipan.co/v1/account/rewards/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.marzipan.co/v1/account/rewards/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.marzipan.co/v1/account/rewards/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.marzipan.co/v1/account/rewards/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.marzipan.co/v1/account/rewards/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.marzipan.co/v1/account/rewards/status")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.marzipan.co/v1/account/rewards/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"enabled": true,
"subscribersOnly": false,
"subscribersOnlyMessage": null,
"subscribersOnlyButtonText": null,
"subscriptionsUrl": null,
"isSubscriber": true,
"points": 320,
"currentTier": {
"id": "3f0d5a2c-1111-2222-3333-444455556666",
"name": "Silver",
"slug": "silver",
"description": "Silver tier members",
"badgeColor": "#C0C0C0",
"badgeIcon": "star",
"pointsThreshold": 100
},
"totalPoints": 320,
"lifetimePoints": 540,
"nextTier": {
"id": "7a1e9b3d-7777-8888-9999-000011112222",
"name": "Gold",
"slug": "gold",
"badgeColor": "#FFD700",
"pointsThreshold": 750,
"pointsNeeded": 210,
"progressPercent": 72
},
"redemption": {
"enabled": true,
"rate": 100,
"rateDescription": "100 points = £1",
"currencyCode": "GBP"
}
}
}{
"message": "Unauthenticated."
}Rewards
Rewards status
Get the authenticated customer’s current rewards status, including points balance, current and next tier, progress and redemption information. When the rewards programme is disabled for the tenant, only enabled: false is returned.
Note: /account/membership/* is a deprecated alias of /account/rewards/* and maps to the same endpoints; use /account/rewards/* for new integrations.
GET
/
account
/
rewards
/
status
Rewards status
curl --request GET \
--url https://api.marzipan.co/v1/account/rewards/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.marzipan.co/v1/account/rewards/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.marzipan.co/v1/account/rewards/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.marzipan.co/v1/account/rewards/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.marzipan.co/v1/account/rewards/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.marzipan.co/v1/account/rewards/status")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.marzipan.co/v1/account/rewards/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"enabled": true,
"subscribersOnly": false,
"subscribersOnlyMessage": null,
"subscribersOnlyButtonText": null,
"subscriptionsUrl": null,
"isSubscriber": true,
"points": 320,
"currentTier": {
"id": "3f0d5a2c-1111-2222-3333-444455556666",
"name": "Silver",
"slug": "silver",
"description": "Silver tier members",
"badgeColor": "#C0C0C0",
"badgeIcon": "star",
"pointsThreshold": 100
},
"totalPoints": 320,
"lifetimePoints": 540,
"nextTier": {
"id": "7a1e9b3d-7777-8888-9999-000011112222",
"name": "Gold",
"slug": "gold",
"badgeColor": "#FFD700",
"pointsThreshold": 750,
"pointsNeeded": 210,
"progressPercent": 72
},
"redemption": {
"enabled": true,
"rate": 100,
"rateDescription": "100 points = £1",
"currencyCode": "GBP"
}
}
}{
"message": "Unauthenticated."
}
